Search past transcripts (alias)
curl --request GET \
--url http://127.0.0.1:{port}/recordings \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:{port}/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:{port}/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "http://127.0.0.1:{port}/recordings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:{port}/recordings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:{port}/recordings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:{port}/recordings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"total": 123,
"returned": 123,
"recordings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"postProcessedText": "<string>",
"transcribedText": "<string>",
"date": "2023-11-07T05:31:56Z",
"duration": 123,
"mode": "<string>",
"transcriptionProvider": "<string>",
"postProcessingProvider": "<string>",
"status": "<string>",
"audioFilePath": "<string>"
}
]
}API Reference
Search past transcripts (alias)
Windows and Linux only. The same handler and the same query parameters
as /recordings/search. macOS does not serve this path.
GET
/
recordings
Search past transcripts (alias)
curl --request GET \
--url http://127.0.0.1:{port}/recordings \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:{port}/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:{port}/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "http://127.0.0.1:{port}/recordings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:{port}/recordings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:{port}/recordings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:{port}/recordings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"total": 123,
"returned": 123,
"recordings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"postProcessedText": "<string>",
"transcribedText": "<string>",
"date": "2023-11-07T05:31:56Z",
"duration": 123,
"mode": "<string>",
"transcriptionProvider": "<string>",
"postProcessingProvider": "<string>",
"status": "<string>",
"audioFilePath": "<string>"
}
]
}Authorizations
Token from the discovery file. Required on every endpoint except /health.
Query Parameters
Substring matched against text / postProcessedText / transcribedText.
Required range:
1 <= x <= 500Response
200 - application/json
Matching recordings, newest first
Number of recordings that match the filters, before limit is applied. Page with limit and since/until while total is more than returned.
Number of recordings in this response. Equal to the length of recordings, and never more than limit.
Show child attributes
Show child attributes
Was this page helpful?
